<!DOCTYPE html>
<html>
	<head>
		<link type="text/css" rel="stylesheet" href="./css/materialize.min.css"  media="screen,projection"/>

		<meta charset="UTF-8"/>
		<title>TEST</title>
	</head>
	<body>
		<h1>BACKUP</h1>
		<a id="downloadBackUp" class="waves-effect waves-light btn">Download BackUp</a>
		<a id="continueBackUp" class="waves-effect waves-light btn">Continue Last BackUp</a>
		<div id="load" class="progress"></div>

		<script type="text/javascript">
			const ipcRenderer = require('electron').ipcRenderer;

			document.querySelector('#downloadBackUp').addEventListener('click', () => {
				document.querySelector('#load').innerHTML = '<div id="percent" class="determinate" style="width: 0%"/>';
				ipcRenderer.send("downloadBackUp");
			});

			document.querySelector('#continueBackUp').addEventListener('click', () => {
				document.querySelector('#load').innerHTML = '<div id="percent" class="determinate" style="width: 0%"/>';
				ipcRenderer.send("continueBackUp");
			});

			ipcRenderer.on('percentUpdate', function(event, response){
				document.querySelector('#percent').style.width = response;
			});
		</script>
		<script type="text/javascript" src="./js/materialize.min.js"></script>
	</body>
</html>